/***************************************************************************
 *   Copyright (C) 2005 by Michal Vaner (Vorner)                           *
 *   vorner@seznam.cz                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//Here I put everything that does not belong enywhere, or is not so important to have its own file

#ifndef VORLIB_MISC
#define VORLIB_MISC

#include <string>

std::string filter_line(const char *);
//turns NUL-terminated c string into std::string, ommiting all newlines and cariage return chars to filter out the text of line only. Nice, if you are getting them from some socket or so and want the text only

#endif
